Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 521576 - new warzone2100 doesn't work with radeon driver
Summary: new warzone2100 doesn't work with radeon driver
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 03:53 UTC by Samuel Sieb
Modified: 2018-04-11 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-09 14:41:34 UTC
Type: ---


Attachments (Terms of Use)

Description Samuel Sieb 2009-09-07 03:53:21 UTC
I installed the new warzone2100 as it showed up as an update.  But when I tried to run it, it didn't work.  If I use nomodeset, I get the following message and a crash:
warzone2100: radeon_common.c:1008: radeon_validate_bo: Assertion `radeon->state.validated_bo_count < 32' failed.

If I don't use nomodeset, I get no 3d view, just the 2d overlays, but the game "works".

video card is RV515 [Radeon X1300]

kernel-PAE-2.6.29.6-217.2.16.fc11.i686
mesa-dri-drivers-7.6-0.1.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586

Comment 1 Samuel Sieb 2009-09-07 03:55:21 UTC
I forgot to add that I'm not using an xorg.conf file.

Comment 2 Matěj Cepl 2009-11-05 18:37:37 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Samuel Sieb 2009-11-09 03:14:30 UTC
This is fixed using the current F12 livecd.

Comment 4 Matěj Cepl 2009-11-09 14:41:34 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.